Need Update for Xcode 10.1

Got a LiveCode personal license? Are you a beginner, hobbyist or educator that's new to LiveCode? This forum is the place to go for help getting started. Welcome!

Moderators: Klaus, FourthWorld, heatherlaine, kevinmiller

Post Reply
DR White
Posts: 444
Joined: Fri Aug 23, 2013 12:29 pm
Location: Virginia, USA

Need Update for Xcode 10.1

Post by DR White » Fri Feb 08, 2019 12:39 pm

I have not been able to create new IOS apps for over a month because current LC does not support Xcode 10.1.

Dose anyone know when the next update will be available?

Thanks,

David (Long Time Member)

jacque
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 4946
Joined: Sat Apr 08, 2006 8:31 pm
Location: Minneapolis MN
Contact:

Re: Need Update for Xcode 10.1

Post by jacque » Fri Feb 08, 2019 5:44 pm

It will be supported in 9.0.3 which should be out pretty soon, but I don't know the exact date. In the meantime you can download Xcode 10.0 from the developer portal if you don't want to wait.
Jacqueline Landman Gay | jacque at hyperactivesw dot com
HyperActive Software | http://www.hyperactivesw.com

ValiantCuriosity
Posts: 128
Joined: Thu Jun 30, 2016 3:08 am

Re: Need Update for Xcode 10.1

Post by ValiantCuriosity » Sat Feb 09, 2019 2:41 am

I certainly vote for the update. The main reason I'm trying to learn LC is to re-produce some iOS apps. I am using Xcode 10.1. If producing for mobile in LC doesn't work well, I'm stuck in mud. I'd rather not be dependent on earlier versions of Xcode. I just want things to "work". :wink:

-Rachel
May I never be cured of my curiosity! :D

DR White
Posts: 444
Joined: Fri Aug 23, 2013 12:29 pm
Location: Virginia, USA

Re: Need Update for Xcode 10.1

Post by DR White » Sat Feb 09, 2019 3:39 pm

Thanks Jacqueline

jacque
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 4946
Joined: Sat Apr 08, 2006 8:31 pm
Location: Minneapolis MN
Contact:

Re: Need Update for Xcode 10.1

Post by jacque » Sat Feb 09, 2019 7:10 pm

ValiantCuriosity wrote:
Sat Feb 09, 2019 2:41 am
I'd rather not be dependent on earlier versions of Xcode. I just want things to "work". :wink:
It's always like this. Apple changes Xcode, LC updates itself to be compatible, and the fix is in the next release. Releases are usually only a few weeks apart but can be longer if something critical takes more time. We're about due for an update now.
Jacqueline Landman Gay | jacque at hyperactivesw dot com
HyperActive Software | http://www.hyperactivesw.com

ValiantCuriosity
Posts: 128
Joined: Thu Jun 30, 2016 3:08 am

Re: Need Update for Xcode 10.1

Post by ValiantCuriosity » Sat Feb 09, 2019 8:01 pm

Thanks jacque! Boy do I get it! I have the same problem when working with my apps and all the platforms that go into them. Apple, Xcode, and my esoteric apps can make me CRAZY! :shock: :lol:
May I never be cured of my curiosity! :D

jacque
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 4946
Joined: Sat Apr 08, 2006 8:31 pm
Location: Minneapolis MN
Contact:

Re: Need Update for Xcode 10.1

Post by jacque » Sat Feb 09, 2019 9:14 pm

Yeah, one of the reasons I prefer Android development is because of Apple's constantly moving targets. Not to mention their restrictivenes.

BTW, I like your tagline.
Jacqueline Landman Gay | jacque at hyperactivesw dot com
HyperActive Software | http://www.hyperactivesw.com

ValiantCuriosity
Posts: 128
Joined: Thu Jun 30, 2016 3:08 am

Re: Need Update for Xcode 10.1

Post by ValiantCuriosity » Mon Feb 11, 2019 5:35 am

@Jackie or anyone who knows the answer:

Before I get too far into LC, I want to be sure that everything flows smoothly when testing on the simulator or device. Hmmm. Not flowing... :o

I set up the stand alone application settings for iOS like this:
LCiOSsetup.png
I had previously downloaded and installed Xcode 10.0. When I attempted the deployment on a simulator, I got the following popup message box error. How do I handle this? Did I make a mistake?
LCTestinError.png
LCTestinError.png (14.04 KiB) Viewed 490 times
As always... TIA -Rachel
May I never be cured of my curiosity! :D

jacque
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 4946
Joined: Sat Apr 08, 2006 8:31 pm
Location: Minneapolis MN
Contact:

Re: Need Update for Xcode 10.1

Post by jacque » Mon Feb 11, 2019 6:49 pm

I hope someone else chimes in because I haven't built an iOS app for some years and a lot has changed since then. I'll take a few guesses and hope someone will correct me where I'm wrong.

You need to fill out all the panes in the iOS standalone settings, not just the first one. There are many images to provide and other information. Also I think you need a development profile, though I'm not sure if it's required in the simulator.

I'm going to need updated info myself pretty soon so I'll be watching this thread.
Jacqueline Landman Gay | jacque at hyperactivesw dot com
HyperActive Software | http://www.hyperactivesw.com

ValiantCuriosity
Posts: 128
Joined: Thu Jun 30, 2016 3:08 am

Re: Need Update for Xcode 10.1

Post by ValiantCuriosity » Tue Feb 12, 2019 12:54 am

Thanks Jackie,

I thought that I'd only need the basics to run on the simulator. I have all the necessary information. I'll give that a try.

-Rachel
May I never be cured of my curiosity! :D

bwmilby
Posts: 256
Joined: Wed Jun 07, 2017 5:37 am
Location: Henrico, VA
Contact:

Re: Need Update for Xcode 10.1

Post by bwmilby » Tue Feb 12, 2019 2:49 am

Profile is required to sign the app. Also, for iOS you must have a splash image for each device resolution that you intend to natively support.

Also, at times it helps to start the emulator before building the test app.
Brian Milby

Script Tracker https://github.com/bwmilby/scriptTracker

Post Reply

Return to “Getting Started with LiveCode - Complete Beginners”